View Single Post
Old 11-08-02, 02:20 PM   #123
kgnally
Guest
 
Posts: n/a
Default

Ok, I have cleanly installed RH8 and updated my kernel to the very latest with the autoupdater. I did a make mrproper oldconfig dep as suggested above and then downloaded the GLX and kernel src files. I tried to do a rpmbuild --rebuild on the kernel source, and I got:


In file included from nv-linux.h:24,
from nv.c:14:
/usr/include/linux/modversions.h:1:2: #error Modules should never use kernel-headers system headers,
/usr/include/linux/modversions.h:2:2: #error but rather headers from an appropriate kernel-source package.
/usr/include/linux/modversions.h:3:2: #error Change -I/usr/src/linux/include (or similar) to
/usr/include/linux/modversions.h:4:2: #error -I/lib/modules/$(uname -r)/build/include
/usr/include/linux/modversions.h:5:2: #error to build against the currently-running kernel.

This of course brought me to a screeching halt on the rebuild. What's wrong?
  Reply With Quote